function flag = delFileRecord(key)
    % del a record of file 
% Inputs: 
%    key: the key of the record to remove
% Outputs:
%    flag: 1: succeed, 0: the key not found;

flag = 0;
if ~exist(getconstant('fileInf'),'file')
    return
end
load(getconstant('fileInf'),'F'); % load file information cell matrix F

id = findFileRecord(key);
if isempty(id)
    return
else
    F(id,:) = [];
end
save(getconstant('fileInf'),'F');
flag = 1;
end