function rel_setup()
% set up the Mathlab Paths 
% this function is to be called any time the package is stalled on a new
% machine to ensure that the paths are set properly.

% add paths to Matlab serching path
disp('Add paths to Matlab serching path...');
currPath = fileparts(mfilename('fullpath')); % current path
subpaths = {'common',['common' filesep 'getfile']};
for ii=1:length(subpaths)
    path_str = subpaths{ii};
    addpath([currPath filesep path_str]);
end
savepath; % save the current path

fprintf('Succeed to set up the Matlab Path.\n');
end