% test spyData()

BETA = 100;
fileName = 'ua.base';
Train = readData(fileName,BETA);
[nUser nItem] = size(Train);

Train = Train.*(Train~=BETA);
titleStr = sprintf('A Rating Matrix of MovieLens (%s)',fileName);
inf = {sprintf('Recommendation Problem. There are %d users and %d movies here. Each user rated a',nUser,nItem),...
       'few of movies. The ratings vary from 1, 2 to 5. The more a user like a certain movie,',...
       'the higher the rating. We aimed to recommend personalized movies for various users.',''};

spyData(Train,titleStr,inf);