    % test the function test_activity()

% 0. load the data; 
% database = 'ua';
% trainFile = sprintf('../data/%s_train_quiz.mat',database);
% testFile = sprintf('../data/%s_test.mat',database);
% 
% load(trainFile,'Train','Quiz');
% load(testFile,'Test');

database = 'eachmovie';
train_quiz_file = sprintf('../data/%s_sub.mat',database);
load(train_quiz_file,'Train','Quiz','Test');

actFile_test = sprintf('../iteration/%s_activity_Test.mat',database);
actFile_quiz = sprintf('../iteration/%s_activity_Quiz.mat',database);


% 1. calculate the number of users rating various items, and number of items
%   rated by users

infFile_train = sprintf('../data/%s_train_inf.mat',database);

rating_matrix_inf(Train,infFile_train,sprintf('train set for %s',database));

load(infFile_train,'num_rating_user','num_rating_item');

% 2. calculate the activities for entries of the test set and the quiz set

[user_v item_v] = find(Test);
act_v = activity(num_rating_user, num_rating_item, user_v,item_v);
save(actFile_test,'act_v','user_v','item_v');

[user_v item_v] = find(Quiz);
act_v = activity(num_rating_user, num_rating_item, user_v,item_v);
save(actFile_quiz,'act_v','user_v','item_v');