 function A =readData(dataFile,BETA)
% read the data from the text file

% the dataFormat: user  item   grade timestamp
%  for example:
% 1	189	3	888732928
% 1	202	5	875072442
% 1	265	4	878542441
% 2	13	4	888551922
% Outputs:
% A: A(i,j)=grade; where i indexes the user, j indexes the item
%       A(i,j) = BETA, if no grade exists in the datafile; where BETA is 
%       a large number

fid = fopen(dataFile,'r');
% [user item grade] = textread(dataFile,'%d %d %d %*f');
C = textscan(fid,'%f %f %f %*f');
fclose(fid);
% A=full(sparse(user,item,grade));
A = full(sparse(C{1},C{2},C{3}));
A=A+BETA*(~A);  % change the elements 0 of A into BETA

