%function main_readData()
% read the rating data from a txt file to a  sparse matrix
    clear
   
    database = 'eachmovie';
    %path_dataFile = '/media/000F32790009E692/XiJun/data/groupLens/EachMovie';
    path_dataFile = 'F:\XiJun\data\groupLens\EachMovie';
                    % path of the data file    
    dataFileName = 'eachmovie.dat';      % data file name (text file)
    format_str = '%f %f %f %f %*s %*s';
    
    dataFile = [path_dataFile filesep dataFileName];
    
    dataFile_mat = sprintf('../data/%s_total.mat',database);
    
    % read the data
    fid = fopen(dataFile,'r');
    C = textscan(fid,format_str);
    fclose(fid);
    [temp id_u_i] = unique([C{1} C{2}],'rows');
    
    %R = sparse(C{1},C{2},C{3}+0.2); 
    R = sparse(C{1}(id_u_i),C{2}(id_u_i),C{3}(id_u_i)+0.2);     
       % + 0.2: to distinct score 0 and the default values of the sparse matrix
       
    
    % save the rating matrix
    save(dataFile_mat,'R','C');
    fprintf('finished to read file: %s\n',dataFile);
%end
